[rpi scrpit] apply kernel changes 38/158138/1 master
authorJeonghoon Park <jh1979.park@samsung.com>
Mon, 30 Oct 2017 05:22:05 +0000 (14:22 +0900)
committerJeonghoon Park <jh1979.park@samsung.com>
Mon, 30 Oct 2017 05:22:05 +0000 (14:22 +0900)
Change-Id: Icd6596e1cdb8fbc9df873866d98efb13bf4f1c1a

tool/rpi_sdcard_setup.sh

index d4bcee1..b39129d 100755 (executable)
@@ -85,7 +85,7 @@ download_fusing_script() {
        if [ -e $download_dir/$script_fusing ]; then
                echo "Already downloaded [$script_fusing]"
        else
-               wget https://git.tizen.org/cgit/platform/kernel/linux-rpi3/plain/scripts/sd_fusing_rpi3.sh?h=submit/tizen/20170725.223437 --output-document=$download_dir/$script_fusing
+               wget https://git.tizen.org/cgit/platform/kernel/u-boot/plain/scripts/tizen/sd_fusing_rpi3.sh?h=tizen --output-document=$download_dir/$script_fusing
        fi
        ret=$?
        if ! [ "$ret" == 0 ]; then
@@ -122,18 +122,6 @@ download_firmware() {
                echo "[ERROR] fail to download [brcmfmac43430-sdio.txt]"
         exit 1
     fi
-
-       if [ -e $download_dir/BCM43430A1.hcd ]; then
-               echo "Already downloaded [BCM43430A1.hcd]"
-       else
-               wget https://github.com/OpenELEC/misc-firmware/raw/master/firmware/brcm/BCM43430A1.hcd -P $download_dir
-       fi
-    ret=$?
-    if ! [ "$ret" == 0 ]; then
-        print_wget_exit_status $ret
-               echo "[ERROR] fail to download [BCM43430A1.hcd]"
-        exit 1
-    fi
 }
 
 download_binaries() {
@@ -184,15 +172,9 @@ copy_firmware() {
                echo "Failed to copy firmware - [brcmfmac43430-sdio.txt] is not exist"
                exit 1
        fi
-       if [ ! -e $download_dir/BCM43430A1.hcd ]; then
-               echo "Failed to copy firmware - [BCM43430A1.hcd] is not exist"
-               exit 1
-       fi
 
        mkdir -p $__tmp_rfs_dir
        sudo mount ${usb_node}2 $__tmp_rfs_dir
-       sudo mkdir -p $__tmp_rfs_dir/usr/etc/bluetooth
-       sudo cp $download_dir/BCM43430A1.hcd $__tmp_rfs_dir/usr/etc/bluetooth
        sudo mkdir -p $__tmp_rfs_dir/usr/lib/firmware/brcm
        sudo cp $download_dir/brcmfmac43430-sdio.* $__tmp_rfs_dir/usr/lib/firmware/brcm
        sync